org.richfaces.fragment.dataTable

## Class RichFacesDataTable<HEADER,ROW,FOOTER>

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable<HEADER,ROW,FOOTER>
  - - org.richfaces.fragment.dataTable.RichFacesDataTable<HEADER,ROW,FOOTER>

- Type Parameters:
    `HEADER` -
    `ROW` -
    `FOOTER` -
  All Implemented Interfaces:
    AdvancedInteractions<AbstractTable.AdvancedTableInteractions>, DataTable<HEADER,ROW,FOOTER>

      public abstract class RichFacesDataTable<HEADER,ROW,FOOTER>
      extends AbstractTable<HEADER,ROW,FOOTER>

  Class representing a page fragment for RichFaces DataTable.

  Be aware, that this class is not intended to be used directly (injected into the test with `@FindBy`), but to be extended so the generic types are substituted with a regular type representing particular part of the table.

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesDataTable.AdvancedDataTableInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `AbstractTable.AdvancedTableInteractions`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `browser, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractTable.AdvancedTableInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `getAllRows, getFirstRow, getFooter, getHeader, getLastRow, getRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataTable

          public RichFacesDataTable()

  - ### Method Detail

    - #### advanced

          public AbstractTable.AdvancedTableInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractTable.AdvancedTableInteractions>`
      Specified by:
        `advanced` in class `AbstractTable<HEADER,ROW,FOOTER>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.